## mimenc mimenc |

## Properties

gboolean | paused-mode | Read / Write

## Types and Values

struct | GstMimEnc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstMimEnc

## Description

The MIMIC codec is used by MSN Messenger's webcam support. It creates the TCP header for the MIMIC codec.

When using it to communicate directly with MSN Messenger, if the sender wants to stop sending, he has to send a special buffer every 4 seconds. When the "paused-mode" property is set to TRUE, if the element receives no buffer on its sink pad for 4 seconds, it will produced a special paused frame and will continue doing so every 4 seconds until a new buffer is u received on its sink pad.

Its fourcc is ML20.

## Synopsis

### Element Information

plugin | mimic
author | Andre Moreira Magalhaes <andre.magalhaes@indt.org.br>,Olivier Crête <olivier.crete@collabora.co.uk
class | Codec/Encoder/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string)RGB, framerate=(fraction)[ 1/1, 30/1 ], width=(int)320, height=(int)240
| video/x-raw, format=(string)RGB, framerate=(fraction)[ 1/1, 30/1 ], width=(int)160, height=(int)120

name | src
direction | source
presence | always
details | video/x-mimic

## Functions

## Types and Values

### struct GstMimEnc

    struct GstMimEnc;

## Property Details

### The `“paused-mode”` property

      “paused-mode”              gboolean

If enabled, empty frames will be generated every 4 seconds when no data is received.

Flags: Read / Write

Default value: FALSE

## See Also

mimdec